Subject: Re: Git in GSoC 2025

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 3 Feb 2025 09:45:42 +0100

On Sun, Feb 02, 2025 at 05:22:05PM +0530, Kaartic Sivaraam wrote:
> Hello Christian, Karthik, Jialuo, Patrick and all,
> 
> On 28/01/25 23:00, Kaartic Sivaraam wrote:
> > 
> > Thank you for suggesting these ideas, Patrick! I've incorporated them
> > into a draft ideas page for now. You can see them here:
> > 
> > https://git.github.io/SoC-2025-Ideas/
> > 
> > Kindly suggest any corrections to the description, project size /
> > difficulty as necessary. I've mentioned potential mentors based on what
> > I'm aware of so far.
> > 
> > Patrick, Christian and Karthik, kindly mention the ideas that you're
> > interested to mentor.
> > 
> 
> Gentle reminder that the ideas list needs completion. Specifically, the
> following ideas only list Patrick as a potential mentor:

Thanks for the reminder!

>   - Refactoring in order to reduce Git’s global state
> 
>   - Machine-Readable Repository Information Query Tool

I'll definitely need a co-mentor as I'll be out of office for two weeks
in May. Otherwise we'll have to drop these two projects if nobody else
wants to mentor them with me.

> The following idea mentions Karthik and Patrick as potential
> mentors.
> 
>   - Implement support for reftables in “dumb” HTTP transport
> 
> The following idea mentions Jialuo and Patrick as potential
> mentors.
> 
>   - Consolidate ref-related functionality into git-refs

Overall it would also be nice if I wasn't mentoring in all projects :)
I'm fine with being mentor in one project and co-mentor in another, but
don't think that I'll have the capacity to do more than that.

Patrick